Subject: Re: bug#68090: 13.2.3; TeX-LaTeX-Sentinel: a way to stop requiring version line?

From: Ikumi Keita <[email-masked]>
Date: Sat, 06 Jan 2024 19:49:38 +0900

Hi Michael, sorry for late response.

>>>>> "Michael Hoffman" <[email-masked]> writes:
> Unfortunately, if `TeX-LaTeX-Sentinel' doesn't find any other errors, it
> looks for a version line, and if it doesn't find that, it reports
> "problems after {(TeX-current-pages)}", and skips reporting warnings or
> bad boxes.

> My workaround is to insert the text "LaTeX Version" into the script
> output to make `TeX-LaTeX-Sentinel' happy. But this is clunky.

> It would be best if there were a way to customize the regular expression
> that is searched for on successful run of a command. It might be
> possible to get rid of this check altogether--it's might be that
> checking for a version banner that occurs at the top protects doesn't
> protect against many unexpected error conditions--but I assume it's
> there for a reason.

I think that the reason why `TeX-LaTeX-sentinel' searches for the
version banner is to check whether there is a working TeX distribution
at all.

The importance of this check is low since `TeX-command' introduced
similar check by `TeX-check-TeX'.

To developers: How about removing this check by the attached patch
(which may be a bit radaical change)?

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW

diff --git a/tex.el b/tex.el
index 357dbb58..e390ac56 100644
--- a/tex.el
+++ b/tex.el
@@ -8462,9 +8462,7 @@ Rerun to get mark in right position\\." nil t)
          (message
           "%s" "You should run LaTeX again to synchronize exercise properties")
          (setq TeX-command-next TeX-command-default))
-        ((re-search-forward
-          "^\\(\\*\\* \\)?J?I?p?\\(La\\|Sli\\)TeX\\(2e\\)? \
-\\(Version\\|ver\\.\\|<[0-9/-]*\\(?:u[^>]*\\)?>\\)" nil t)
+        (t
          (let* ((warnings (and TeX-debug-warnings
                                (TeX-LaTeX-sentinel-has-warnings)))
                 (bad-boxes (and TeX-debug-bad-boxes
@@ -8481,10 +8479,7 @@ Rerun to get mark in right position\\." nil t)
            (if (with-current-buffer TeX-command-buffer
                  (and TeX-PDF-mode (setq dvi2pdf (TeX-PDF-from-DVI))))
                (setq TeX-command-next dvi2pdf)
-             (setq TeX-command-next TeX-command-Show))))
-        (t
-         (message "%s%s%s" name ": problems after " (TeX-current-pages))
-         (setq TeX-command-next TeX-command-default)))
+             (setq TeX-command-next TeX-command-Show)))))
 
   ;; Check whether the idx file changed.
   (let (idx-file)